- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Namespace List
- Namespace Members

# schroot_base Namespace Reference

## Classes
class | main
| Frontend base for schroot programs. More...
class | options
| Basic schroot command-line options. More...
## Functions
template<class O, class M>
static int | run (int argc, char *argv[])
| Main routine.

## Function Documentation

template<class O, class M>

static int schroot_base::run | ( | int | argc,
|  | char * | argv[] |
| ) |  |  | `[static]`

Main routine.

Parameters:

  | argc | the number of arguments
  | argv | argument vector

Returns:
  0 on success, 1 on failure or the exit status of the chroot command.

Here is the call graph for this function: